
Redmine - Feature #1157

Gantt chart for a user across all projects

2008-05-01 15:24 - Nicholas Antrobus

Status: Reopened Start date: 2008-05-01

Priority: Normal Due date:  

Assignee: Mischa The Evil % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Hi, first off can I say what a great tool you have created here, we moved everything onto red mine a few weeks ago and its working

out really well.

My request is to be able to view a gantt chart for each user across all projects, we have team members that work on several projects

at once and I need to create a monthly report for each team members work plan.  Rather than create a report per team member per

project if I could get a view across all projects with a filter per user.  I had a thought that I could probably do something similar if I had

all my projects as a sub project to a master overall project, which is something I will try but the flexibility of being able to select the

reports to view across would be good.

Thanks

Nick

Related issues:

Has duplicate Redmine - Feature #1484: Gant diagram/and Calendar for all proj... Closed 2008-06-17

Associated revisions

Revision 2088 - 2008-12-05 16:41 - Jean-Philippe Lang

Cross-project gantt and calendar (#1157).

History

#1 - 2008-05-02 20:19 - Lane Roathe

This is a feature our teams would also find very useful.

#2 - 2008-05-19 20:10 - Andi Springhetti

We would need that as well.

#3 - 2008-07-23 01:12 - mark bailey

Yes, this is an important part of managing a project portfolio. As a team, we are never just working on a single project at time, or we have end stages

of projects overlapping with start stages of other projects

#4 - 2008-08-11 16:13 - Arron Woods

Recently moved over to redmine, it really is excellent but we would also like to see this implemented if possible.

#5 - 2008-10-21 11:11 - Christian Vorhauer

As I'm just evaluating redmine for our team, I would also appreciate seeing this feature. Maybe it could be implemented as generic view with filters

(able to select one, multiple, all users/projects)

#6 - 2008-12-04 17:43 - Riccardo Delpopolo

- Assignee set to Jean-Philippe Lang

This is what i really need!

#7 - 2008-12-04 20:47 - Jean-Philippe Lang

- Category set to Issues
- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

As of r1797, it's possible to display a cross-project gantt chart for a user.

It will be available in 0.8

#8 - 2008-12-04 21:23 - Mischa The Evil

- Status changed from Closed to Reopened

- Target version deleted (0.8)

- Resolution deleted (Fixed)

Jean-Philippe Lang wrote:

As of r1797, it's possible to display a cross-project gantt chart for a user.

 Please correct me if I'm wrong but afaics the implementation of r1797 doesn't provide a user cross-project gantt chart. It does have the ability to

provide a user's per-project gantt chart.

It would be great if the whole "Planning, Calendar | Gantt" sidebar-partial can be made available to the cross-project issue-list (

http://redmine.host.lan/issues) also. That would probably be a solution to this issue imho, though I'm not sure if it can be implemented easily.

#9 - 2008-12-05 16:42 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Target version set to 0.8

- Resolution set to Fixed

You're right Mischa, sorry.

Anyway, it's now available in r2088. The cross-project issue list now shows the links.

#10 - 2008-12-05 20:26 - Mischa The Evil

- File new_planning_breadcumbs-r2088.diff added

Jean-Philippe Lang wrote:

Anyway, it's now available in r2088. The cross-project issue list now shows the links.

Great improvement which most-likely also resolves the following issues:

Feature #301 (Reports on all projects)

Feature #348 (GANTT of projects assigned to user)

Though, one thing: looking at the implementation in r2088 I prefer to have the same breadcumbs as brought by r1778 for the cross-project timelog.

I have created a simple patch against r2088 which does the same thing (adding project-breadcumbs based on r1778) for the calendar and the gantt

views. I'll attach it to this issue..

HTH...

#11 - 2008-12-05 21:01 - Mischa The Evil

Ouch, that patch also contains the following improvements of the global links in the project_index-view:

added required en-language labels

label_global_issues: Global issues

label_global_timelog: Global timelog

label_global_activity: Global activity

added link to the global spent time report in the project_index-view (:controller => 'timelog', :action => 'details') [label_global_timelog]

changed labels of global links in the project_index-view:

link to the global issues list (:controller => 'issues') [label_global_issues]

link to the global activity (:controller => 'projects', :action => 'activity') [label_global_activity]

Here's a screenshot of the modified view:

 new_global_projects_links.jpg 

Maybe these changes are useable for integration in Redmine Core too. Let me know if I have to rework my earlier uploaded patch to exclude this
changes and open a new feature for it including a seperate patch.

HTH...

#12 - 2008-12-05 21:12 - Mischa The Evil

- File new_global_projects_links.jpg added

#13 - 2008-12-08 03:28 - Mischa The Evil

- Status changed from Closed to Reopened

Jean-Philippe, have you seen my latest updates on this issue (mainly about the breadcumbs)? If yes and you've decided not to implement this: please

ignore my reopening and close it again... ;-)

#14 - 2008-12-30 12:44 - Jean-Philippe Lang

- Target version deleted (0.8)

Mischa, I think permanent breadcumbs for project path should be added.

This can be very usefull when unlimited project nesting is done. Maybe we could add this to the top of the header?

#15 - 2009-01-07 01:43 - Mischa The Evil

Jean-Philippe Lang wrote:

Mischa, I think permanent breadcumbs for project path should be added.

This can be very usefull when unlimited project nesting is done. Maybe we could add this to the top of the header?

 This seems to be a good improvement, indeed especially when unlimited project nesting is done.

Though, after the implementation of r2088, I think that the personally-proposed breadcumbs for the Cross-project gantt and calendar would provide a

great (temporarily) solution for the 0.8-stable-branch. Then they can be replaced/modified (in trunk/0.9) to fit the unlimited project nesting

implementation.

The acceptance of this patch would also bring all the global reports which are reachable from within a project (and thus makes upwards-browing

possible) in sync at the implementation-level. Then both Planning and Spent time reports are having the same breadcumbs.

Regarding the changes in the projects-view: I think this would make it more clear that these reports/views are cross-project/global. Also the addition of

the link to the global spent-time reports seems usefull there IMHO.

Currently I'm at the point of releasing a plugin which possible could provide another location for these specific global reports/views links. I'll see what I

can do for that while maintaining the plugin.

Btw: You've reset the targetted version to <blank>, though the issue's specific request is full-filled with the implmentation in r2088 which is contained

by 0.8.0...

#16 - 2009-01-30 15:44 - Frédéric Moulins

Mischa The Evil wrote:

Though, after the implementation of r2088, I think that the personally-proposed breadcumbs for the Cross-project gantt and calendar would

provide a great (temporarily) solution for the 0.8-stable-branch. Then they can be replaced/modified (in trunk/0.9) to fit the unlimited project

nesting implementation.

 Could this fix be applied to 0.8-stable ? Cross-project timelog is a 0.8 feature but is hidden only because of this missing link.

#17 - 2010-01-13 22:18 - David Slipakoff

What is the status of this issue ? We could really use this feature.

Thanks

#18 - 2010-01-19 01:14 - Mischa The Evil

Jean-Philippe Lang wrote:

Mischa, I think permanent breadcumbs for project path should be added.

This can be very usefull when unlimited project nesting is done. Maybe we could add this to the top of the header?

 This is implemented already, slightly different in r2485 for #2788.
#19 - 2010-01-19 01:16 - Mischa The Evil

Mischa The Evil wrote:

Jean-Philippe Lang wrote:

Anyway, it's now available in r2088. The cross-project issue list now shows the links.

 [...]

Though, one thing: looking at the implementation in r2088 I prefer to have the same breadcumbs as brought by r1778 for the cross-project

timelog.

I have created a simple patch against r2088 which does the same thing (adding project-breadcumbs based on r1778) for the calendar and the

gantt views. I'll attach it to this issue..

 Extracted to #4603.

#20 - 2010-01-19 01:20 - Mischa The Evil

Frédéric Moulins wrote:

Mischa The Evil wrote:

Though, after the implementation of r2088, I think that the personally-proposed breadcumbs for the Cross-project gantt and calendar would

provide a great (temporarily) solution for the 0.8-stable-branch. Then they can be replaced/modified (in trunk/0.9) to fit the unlimited project

nesting implementation.

 Could this fix be applied to 0.8-stable ? Cross-project timelog is a 0.8 feature but is hidden only because of this missing link.

 It already is. The cross-project timelogs are already available using the breadcrumb-links on the timelog report views under "All projects".

If you want to have the link I've proposed here earlier (global timelog on projects index) I'd recommend to open a new, dedicated issue for it.

#21 - 2010-01-19 01:22 - Mischa The Evil

David Slipakoff wrote:

What is the status of this issue ? We could really use this feature.

 I guess you mean with that question the actual status of the cross-project gannt chart? That's already implemented in Redmine 0.8.

#22 - 2010-01-19 01:25 - Mischa The Evil

- Status changed from Reopened to Closed

Jean-Philippe: Can you reset the target-version back to 0.8? This was implemented as proposed back then already. The additional requests are now

extracted to a new issue (#4603).

#23 - 2010-03-11 11:52 - Ian Stuchbury

Could you tell me if this feature is in 0.9.3?  We have just started using Redmine and this feature would be very useful, but I cannot find any buttons to

access it.  Do we need to have sufficient data in the database before the buttons appear?

Many thanks.

#24 - 2011-04-06 16:21 - Cyril Dubus

- Status changed from Closed to Reopened

- Assignee changed from Jean-Philippe Lang to Mischa The Evil

Hi,

I'm using redmine 1.1.2.stable and I can't find a way to display a Gantt Chart for a single user accross his different projects.

After spending few hours on it, I'm pretty sure that the feature seems to have disapear since the new Gantt system. If it was working before (which I

don't know)

Anyway, is anybody knows how to do it ? Is there a patch or a plugin ? I've searched without much success...
Thank's

Cyril

#25 - 2012-02-03 17:23 - Nelson Barata

Hello, Here is how I manage to have the functionality (1.3.0 version):

Page "Projects" --> "View all issues" --> "Gantt"

Here we have a Gantt of all the projets.

"Add filter" --> "Assignee" --> user selection --> "Apply"

"Et voilà" as you english people use to say ;)

Best regards,

Nelson.

Files

new_planning_breadcumbs-r2088.diff 3.05 KB 2008-12-05 Mischa The Evil

new_global_projects_links.jpg 16.9 KB 2008-12-05 Mischa The Evil
